summaryrefslogtreecommitdiff
path: root/gen-deps.sh
diff options
context:
space:
mode:
authorJoshua Haberman <joshua@reverberate.org>2009-08-15 20:20:28 -0700
committerJoshua Haberman <joshua@reverberate.org>2009-08-15 20:20:28 -0700
commit71d82d06d17f0205ccf5bb72ea11d3fd3e9eb363 (patch)
treef2f48d548ce83043abdb4048697c4d0d6ba18b1c /gen-deps.sh
parent2282d2489bd8db3cd4ddbe0dd813732bffcf6452 (diff)
Add refcounting and thread-safety to message definitions.
Diffstat (limited to 'gen-deps.sh')
-rwxr-xr-xgen-deps.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/gen-deps.sh b/gen-deps.sh
index 6f7b4af..6c0ced3 100755
--- a/gen-deps.sh
+++ b/gen-deps.sh
@@ -11,7 +11,8 @@
# Since upb_parse.o is actually in src, the dependency information is
# not used. To remedy this, we use the -MT flag (see gcc docs).
+set -e
rm -f deps
for file in $@; do
- gcc -MM $file -MT ${file%.*}.o -Idescriptor -Isrc -I. >> deps
+ gcc -MM $file -MT ${file%.*}.o -DUPB_THREAD_UNSAFE -Idescriptor -Isrc -I. >> deps
done
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback